Download it now!
Bug 78384 - FILESAVE: File gets corrupt if file contains "Arrow symbol"
Summary: FILESAVE: File gets corrupt if file contains "Arrow symbol"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Rohit Deshmukh
URL:
Whiteboard: target:4.3.0 target:4.2.5
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-07 10:06 UTC by Rohit Deshmukh
Modified: 2014-05-14 15:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Original file (12.84 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-05-07 10:06 UTC, Rohit Deshmukh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rohit Deshmukh 2014-05-07 10:06:24 UTC
Created attachment 98612 [details]
Original file

Original file

Steps to reproduce:
1. Load the attached DOCX in LO
2. Save as NEW.DOCX
3. Open the NEW.DOCX in Word


Current behavior:
File gets corrupt

Expected behavior:
File should open without any error
Comment 1 Jorendc 2014-05-09 20:55:51 UTC
Not reproducible, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+
Build ID: e9b2787c2ece4c8260fbac6359257e1829c917d4
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-09_06:36:37

Document opened using Word 2013.

Kind regards,
Joren
Comment 2 Commit Notification 2014-05-14 07:48:05 UTC
Rohit Deshmukh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f51640c5f40d5132b396a9fb6589420383df1610

fdo#78384: Fix for corruption if file contains symbols.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-05-14 13:10:28 UTC
Rohit Deshmukh committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ba4b62e10924f43136c8ce048ce8504b44c5ec61&h=libreoffice-4-2

fdo#78384: Fix for corruption if file contains symbols.


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.